%global goipath github.com/git-time-metric/gtm
Version:        1.3.5

%gometa

Name:           git-time-metric
Release:        2%{?dist}
Summary:        Simple, seamless, lightweight time tracking for Git
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

# Because of golang-github-libgit2-git2go issues:
# https://bugzilla.redhat.com/show_bug.cgi?id=1680200
ExcludeArch: i686 armv7hl

BuildRequires: git-core

%description
%{summary}


%package -n %{goname}-devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/briandowns/spinner)
BuildRequires: golang(github.com/hako/durafmt)
BuildRequires: golang(github.com/hashicorp/go-version)
BuildRequires: golang(github.com/jinzhu/now)
BuildRequires: golang(github.com/libgit2/git2go)
BuildRequires: golang(github.com/mattn/go-isatty)
BuildRequires: golang(github.com/mitchellh/cli)

%description -n %{goname}-devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgeautosetup -p1

# Remove vendored code
rm -r vendor


%build
%gobuildroot
%gobuild -o _bin/gtm %{goipath}


%install
%goinstall

install -vdm 0755 %{buildroot}%{_bindir}
install -vpm 0755 _bin/gtm %{buildroot}%{_bindir}/


%check
%gochecks


%files
%doc README.md AUTHORS
%license LICENSE
%{_bindir}/gtm

%files -n %{goname}-devel -f devel.file-list
%doc README.md AUTHORS
%license LICENSE


%changelog
* Thu Mar 21 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.5-2
- Add git-core BR for testing
- Remove vendored code before build

* Wed Feb 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.5-1
- First package for Fedora
